#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <opencv2/opencv.hpp>
#include <boost/chrono/chrono.hpp>
#include <QPainter>
#include <QTimer>
#include <QObject>
#include <QImage>
#include <QPixmap>
#include <QFile>
#include <QDataStream>
using namespace cv;

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void on_pushButton_clicked();
    void showImage();

    void on_pushButton_2_clicked();

private:
    Ui::MainWindow *ui;
    VideoCapture* cap;
    bool onCap;
    QTimer* vt;
    Mat image;


};
#endif // MAINWINDOW_H
